package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[请假审批状态]
 */
@Component("ionicdemo_QJSPStateCodeList")
public class QJSPStateCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_QJSPState");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("10");
		item0.setId("10");
		item0.setText("草稿");
		item0.setLabel("草稿");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("10",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("20");
		item1.setId("20");
		item1.setText("审批中");
		item1.setLabel("审批中");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("20",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("30");
		item2.setId("30");
		item2.setText("已完成");
		item2.setLabel("已完成");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("30",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}